diff mbox series

[nft,3/9] tests: shell: Add test case for sets.

Message ID 42e35571e5a59d637c39582e242ddd710f103fa3.1507696149.git.rvarsha016@gmail.com
State Accepted
Delegated to: Pablo Neira
Headers show
Series tests: Move tests from files to shell. | expand

Commit Message

Varsha Rao Oct. 11, 2017, 4:44 a.m. UTC
This patch adds test case for anonymous sets.

Signed-off-by: Varsha Rao <rvarsha016@gmail.com>
---
 tests/shell/testcases/sets/0025anonymous_set_0 | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100755 tests/shell/testcases/sets/0025anonymous_set_0
diff mbox series

Patch

diff --git a/tests/shell/testcases/sets/0025anonymous_set_0 b/tests/shell/testcases/sets/0025anonymous_set_0
new file mode 100755
index 0000000..93a7c02
--- /dev/null
+++ b/tests/shell/testcases/sets/0025anonymous_set_0
@@ -0,0 +1,17 @@ 
+#!/bin/bash
+
+# Adding anonymous sets
+
+set -e
+
+$NFT add table t
+$NFT add chain t c { type filter hook output priority 0 \; }
+# set: IP addresses
+$NFT add rule t c ip daddr { \
+        192.168.0.1, \
+        192.168.0.2, \
+        192.168.0.3, \
+}
+
+#set : tcp ports
+$NFT add rule t c tcp dport { 22, 23 } counter